---------------------
PatchSet 5678 
Date: 2003/03/02 09:49:12
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Latest Dealy Pools changes are not compatible with Windows because FD_xxx are very different

Members: 
	src/squid.h:1.13.6.2.4.5->1.13.6.2.4.6 

Index: squid/src/squid.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/squid.h,v
retrieving revision 1.13.6.2.4.5
retrieving revision 1.13.6.2.4.6
diff -u -r1.13.6.2.4.5 -r1.13.6.2.4.6
--- squid/src/squid.h	2 Mar 2003 08:30:38 -0000	1.13.6.2.4.5
+++ squid/src/squid.h	2 Mar 2003 09:49:12 -0000	1.13.6.2.4.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: squid.h,v 1.13.6.2.4.5 2003/03/02 08:30:38 serassio Exp $
+ * $Id: squid.h,v 1.13.6.2.4.6 2003/03/02 09:49:12 serassio Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -494,6 +494,19 @@
 
 #if DELAY_POOLS
 
+#ifdef _SQUID_MSWIN_
+
+#define D_FD_SET	FD_SET
+#define D_FD_CLR	FD_CLR
+#define D_FD_ISSET	FD_ISSET
+#define D_FD_COPY	FD_COPY
+#define D_FD_ZERO	FD_ZERO
+
+#define d_fd_mask   fd_mask
+#define d_fd_set    fd_set    
+
+#else
+
 typedef int32_t d_fd_mask;
 #define D_NBBY    8		/* number of bits in a byte */
 #define D_NFDBITS (sizeof(fd_mask) * NBBY)	/* bits per mask */
@@ -508,6 +521,7 @@
 #define D_FD_COPY(f, t)   bcopy(f, t, sizeof(*(f)))
 #define D_FD_ZERO(p)      bzero(p, sizeof(*(p)))
 
+#endif /* _SQUID_MSWIN_ */
 #endif
 
 #endif /* SQUID_H */
